#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	DateTime
%define	pnam	Event-Recurrence
Summary:	DateTime::Event::Recurrence - DateTime::Set extension for create basic recurrence sets
Summary(pl.UTF-8):	DateTime::Event::Recurrence - rozszerzenie DateTime::Set o tworzenie prostych zbiorów rekurencyjnych
Name:		perl-DateTime-Event-Recurrence
Version:	0.19
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/F/FG/FGLOCK/DateTime-Event-Recurrence-%{version}.tar.gz
# Source0-md5:	1f3249fa624caef76fd83cceeb7b4d3c
URL:		http://search.cpan.org/dist/DateTime-Event-Recurrence/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-DateTime >= 1:0.27
BuildRequires:	perl-DateTime-Set >= 0.17
%endif
Requires:	perl-DateTime >= 1:0.34-1.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides convenience methods that let you easily create
DateTime::Set objects for various recurrences, such as "once a month"
or "every day". You can also create more complicated recurrences, such
as "every Monday, Wednesday and Thursday at 10:00 AM and 2:00 PM".

%description -l pl.UTF-8
Ten moduł dostarcza wygodne metody pozwalające łatwo tworzyć obiekty
DateTime::Set dla różnych rekurencji, takich jak "raz w miesiącu" czy
"codziennie". Można także tworzyć bardziej złożone rekurencje, takie
jak "każdy poniedziałek, środa i czwartek od 10:00 do 14:00".

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes CREDITS README TODO
%{perl_vendorlib}/DateTime/Event/*.pm
%{_mandir}/man3/*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-DateTime-Event-Recurrence.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 43c9e07
- up to 0.19

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> c6c382c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d81f06b
- converted to UTF-8

* Fri Aug 25 2006 Elan Ruusamäe <glen@pld-linux.org> b2d872f
- rel 4

* Thu Aug 24 2006 Jakub Bogusz <qboosh@pld-linux.org> 56637ae
- pl

* Tue Aug 22 2006 Elan Ruusamäe <glen@pld-linux.org> f893f90
- use package names, correct DateTime epoch, rel 3

* Tue Aug 22 2006 Elan Ruusamäe <glen@pld-linux.org> cb404d9
- rel 2

* Tue Aug 22 2006 Elan Ruusamäe <glen@pld-linux.org> 859f493
- require DateTime with packaged DateTime/Event

* Tue Aug 22 2006 Elan Ruusamäe <glen@pld-linux.org> 4c12bd3
- new

